summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Marcel Saegebarth2015-02-06 22:53:19 +0100
committer Willy Sudiarto Raharjo2015-02-06 22:59:40 +0100
commitbab028ad4d2c83ea3bab224a5822f6be2beffc27 (patch)
tree35825dc9ec1be56c63adadb41bf38281b145ee9a /network
parent2fd93fc301475d1c25b0c9365d640ba2301b1c38 (diff)
downloadslackbuilds-bab028ad4d2c83ea3bab224a5822f6be2beffc27.tar.gz
network/seahub: Added (Seafile Web Frontend).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/seahub/README17
-rw-r--r--network/seahub/seahub.SlackBuild107
-rw-r--r--network/seahub/seahub.info10
-rw-r--r--network/seahub/slack-desc19
4 files changed, 153 insertions, 0 deletions
diff --git a/network/seahub/README b/network/seahub/README
new file mode 100644
index 0000000000..9b15cfdd39
--- /dev/null
+++ b/network/seahub/README
@@ -0,0 +1,17 @@
+Seahub is the web frontend for Seafile.
+
+Note:
+This isn't the official "source" tarball, but `seahub' extracted from the binary
+tarball, due to its very weird, and old dependencies.
+
+Due to the nature of Slackware pkgtools no seafile data from the users is
+removed, but just in case, create a backup before upgrading this package!
+
+This package does not update/upgrade Seafile internal stuff.
+Refer to the Seafile manual:
+
+ http://manual.seafile.com/deploy/upgrade.html
+
+Stop your instance before upgrading this package and don't use
+the shell scripts from the documentation, but use `seafile` from
+/usr/sbin to start/stop Seafile.
diff --git a/network/seahub/seahub.SlackBuild b/network/seahub/seahub.SlackBuild
new file mode 100644
index 0000000000..2cf82184ce
--- /dev/null
+++ b/network/seahub/seahub.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for "seahub".
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=seahub
+SRCNAM=seafile-server
+VERSION=${VERSION:-4.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ] || [ "$ARCH" = "i686" ]; then
+ SRCARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86-64"
+else
+ echo "Only x86 & x86_64 is supported. Exit."
+ exit 1
+fi
+
+set -e
+
+if [ $(grep -c ^seafile: /etc/group) -eq 0 ] || \
+ [ $(grep -c ^seafile: /etc/passwd) -eq 0 ]; then
+ cat << EOF
+
+ You must have a seafile user and group to run this script
+
+ # groupadd -g 300 seafile
+ # useradd -u 300 -d /opt/haiwen -s /bin/false -g seafile seafile
+
+EOF
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/${SRCNAM}_${VERSION}_$SRCARCH.tar || \
+ tar xvf $CWD/${SRCNAM}_${VERSION}_$SRCARCH.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+(
+ cd $PRGNAM/thirdpart
+ # change python2.6 to just python
+ find -L . -type f -exec sed -i 's|#!/usr/bin/python2.6|#!/usr/bin/python|g' {} \;
+)
+
+mkdir -p $PKG/opt/haiwen/seafile-server
+cp -ar $PRGNAM $PKG/opt/haiwen/seafile-server
+chown -R seafile:seafile $PKG/opt/haiwen
+chmod 750 $PKG/opt/haiwen
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+(
+ cd $PRGNAM
+ cp -a CONTRIBUTORS HACKING LICENSE.txt README.markdown \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/seahub/seahub.info b/network/seahub/seahub.info
new file mode 100644
index 0000000000..b1a022b42c
--- /dev/null
+++ b/network/seahub/seahub.info
@@ -0,0 +1,10 @@
+PRGNAM="seahub"
+VERSION="4.0.5"
+HOMEPAGE="http://seafile.com/"
+DOWNLOAD="https://bitbucket.org/haiwen/seafile/downloads/seafile-server_4.0.5_i386.tar.gz"
+MD5SUM="b373dcdcbf0a100eb4ed4b25bf1d9ad3"
+DOWNLOAD_x86_64="https://bitbucket.org/haiwen/seafile/downloads/seafile-server_4.0.5_x86-64.tar.gz"
+MD5SUM_x86_64="4c37f96666235f9b271460cc8b3a56fd"
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/network/seahub/slack-desc b/network/seahub/slack-desc
new file mode 100644
index 0000000000..891b12ff35
--- /dev/null
+++ b/network/seahub/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+seahub: seahub (Seafile Web Frontend)
+seahub:
+seahub: Seahub is the web frontend for Seafile.
+seahub:
+seahub: Homepage: http://seafile.com/
+seahub:
+seahub:
+seahub:
+seahub:
+seahub:
+seahub: